GLM_EXT_scalar_integer
Stable extensions

Include <glm/ext/scalar_integer.hpp> to use the features of this extension. More...

## Functions

template<typename genIUType >
GLM_FUNC_DECL int | findNSB (genIUType x, int significantBitCount)
| Returns the bit number of the Nth significant bit set to 1 in the binary representation of value. More...
template<typename genIUType >
GLM_FUNC_DECL bool | isMultiple (genIUType v, genIUType Multiple)
| Return true if the 'Value' is a multiple of 'Multiple'. More...
template<typename genIUType >
GLM_FUNC_DECL bool | isPowerOfTwo (genIUType v)
| Return true if the value is a power of two number. More...
template<typename genIUType >
GLM_FUNC_DECL genIUType | nextMultiple (genIUType v, genIUType Multiple)
| Higher multiple number of Source. More...
template<typename genIUType >
GLM_FUNC_DECL genIUType | nextPowerOfTwo (genIUType v)
| Return the power of two number which value is just higher the input value, round up to a power of two. More...
template<typename genIUType >
GLM_FUNC_DECL genIUType | prevMultiple (genIUType v, genIUType Multiple)
| Lower multiple number of Source. More...
template<typename genIUType >
GLM_FUNC_DECL genIUType | prevPowerOfTwo (genIUType v)
| Return the power of two number which value is just lower the input value, round down to a power of two. More...

## Detailed Description

Include <glm/ext/scalar_integer.hpp> to use the features of this extension.

## Function Documentation

GLM_FUNC_DECL int glm::findNSB | ( | genIUType | x,
|  | int | significantBitCount
| ) |  |

Returns the bit number of the Nth significant bit set to 1 in the binary representation of value.

If value bitcount is less than the Nth significant bit, -1 will be returned.

Template Parameters

  genIUType | Signed or unsigned integer scalar types.

See also
  GLM_EXT_scalar_integer

GLM_FUNC_DECL bool glm::isMultiple | ( | genIUType | v,
|  | genIUType | Multiple
| ) |  |

Return true if the 'Value' is a multiple of 'Multiple'.

See also
  GLM_EXT_scalar_integer

GLM_FUNC_DECL bool glm::isPowerOfTwo | ( | genIUType | v | ) |

Return true if the value is a power of two number.

See also
  GLM_EXT_scalar_integer

GLM_FUNC_DECL genIUType glm::nextMultiple | ( | genIUType | v,
|  | genIUType | Multiple
| ) |  |

Higher multiple number of Source.

Template Parameters

  genIUType | Integer scalar or vector types.

Parameters

  v | Source value to which is applied the function
  Multiple | Must be a null or positive value

See also
  GLM_EXT_scalar_integer

GLM_FUNC_DECL genIUType glm::nextPowerOfTwo | ( | genIUType | v | ) |

Return the power of two number which value is just higher the input value, round up to a power of two.

See also
  GLM_EXT_scalar_integer

GLM_FUNC_DECL genIUType glm::prevMultiple | ( | genIUType | v,
|  | genIUType | Multiple
| ) |  |

Lower multiple number of Source.

Template Parameters

  genIUType | Integer scalar or vector types.

Parameters

  v | Source value to which is applied the function
  Multiple | Must be a null or positive value

See also
  GLM_EXT_scalar_integer

GLM_FUNC_DECL genIUType glm::prevPowerOfTwo | ( | genIUType | v | ) |

Return the power of two number which value is just lower the input value, round down to a power of two.

See also
  GLM_EXT_scalar_integer